"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var utils_exports = {};
__export(utils_exports, {
  acceptedExt: () => acceptedExt,
  checkType: () => checkType,
  getFileSizeMB: () => getFileSizeMB
});
module.exports = __toCommonJS(utils_exports);
const getFileSizeMB = (size) => {
  return size / 1e3 / 1e3;
};
const checkType = (file, types) => {
  const extension = file.name.split(".").pop();
  const loweredTypes = types.map((type) => type.toLowerCase());
  return loweredTypes.includes(extension.toLowerCase());
};
const acceptedExt = (types) => {
  if (types === void 0)
    return "";
  return types.map((type) => `.${type.toLowerCase()}`).join(",");
};
//# sourceMappingURL=utils.js.map
