import { jsx } from "react/jsx-runtime";
function DrawTypes({
  types,
  minSize,
  maxSize
}) {
  if (types) {
    const stringTypes = types.toString();
    let size = "";
    if (maxSize)
      size += `size >= ${maxSize}, `;
    if (minSize)
      size += `size <= ${minSize}, `;
    return /* @__PURE__ */ jsx("span", {
      title: `${size}types: ${stringTypes}`,
      className: "file-types",
      children: stringTypes
    });
  }
  return null;
}
export {
  DrawTypes as default
};
//# sourceMappingURL=DrawTypes.js.map
