const getFileSizeMB = (size) => {
  return size / 1e3 / 1e3;
};
const checkType = (file, types) => {
  const extension = file.name.split(".").pop();
  const loweredTypes = types.map((type) => type.toLowerCase());
  return loweredTypes.includes(extension.toLowerCase());
};
const acceptedExt = (types) => {
  if (types === void 0)
    return "";
  return types.map((type) => `.${type.toLowerCase()}`).join(",");
};
export {
  acceptedExt,
  checkType,
  getFileSizeMB
};
//# sourceMappingURL=utils.js.map
